/*! UEditorPlus v2.0.0*/

.syntaxhighlighter a,
.syntaxhighlighter div,
.syntaxhighlighter code,
.syntaxhighlighter,
.syntaxhighlighter td,
.syntaxhighlighter tr,
.syntaxhighlighter tbody,
.syntaxhighlighter thead,
.syntaxhighlighter caption,
.syntaxhighlighter textarea {
  -moz-border-radius: 0 !important;
  -webkit-border-radius: 0 !important;
  background: none !important;
  border: 0 !important;
  bottom: auto !important;
  float: none !important;
  left: auto !important;
  line-height: 1.1em !important;
  margin: 0 !important;
  outline: 0 !important;
  overflow: visible !important;
  padding: 0 !important;
  position: static !important;
  right: auto !important;
  text-align: left !important;
  top: auto !important;
  vertical-align: baseline !important;
  width: auto !important;
  box-sizing: content-box !important;
  font-family: Monaco, Menlo, Consolas, "Courier New", monospace;
  font-weight: 400 !important;
  font-style: normal !important;
  min-height: inherit !important;
  min-height: auto !important;
  font-size: 13px !important;
}
.syntaxhighlighter {
  width: 100% !important;
  margin: 0.3em 0 !important;
  position: relative !important;
  overflow: auto !important;
  background-color: #f5f5f5 !important;
  border: 1px solid #ccc !important;
  border-radius: 4px !important;
  border-collapse: separate !important;
}
.syntaxhighlighter.source {
  overflow: hidden !important;
}
.syntaxhighlighter .bold {
  font-weight: 700 !important;
}
.syntaxhighlighter .italic {
  font-style: italic !important;
}
.syntaxhighlighter .gutter div {
  white-space: pre !important;
  word-wrap: normal;
}
.syntaxhighlighter caption {
  text-align: left !important;
  padding: 0.5em 0 0.5em 1em !important;
}
.syntaxhighlighter td.code {
  width: 100% !important;
}
.syntaxhighlighter td.code .container {
  position: relative !important;
  display: block !important;
}
.syntaxhighlighter td.code .container textarea {
  box-sizing: border-box !important;
  position: absolute !important;
  left: 0 !important;
  top: 0 !important;
  width: 100% !important;
  border: 0 !important;
  background: #fff !important;
  padding-left: 1em !important;
  overflow: hidden !important;
  white-space: pre !important;
}
.syntaxhighlighter td.gutter .line {
  text-align: right !important;
  padding: 0 0.5em 0 1em !important;
}
.syntaxhighlighter td.code .line {
  padding: 0 1em !important;
}
.syntaxhighlighter.nogutter td.code .container textarea,
.syntaxhighlighter.nogutter td.code .line {
  padding-left: 0 !important;
}
.syntaxhighlighter.show {
  display: block !important;
}
.syntaxhighlighter.collapsed table {
  display: none !important;
}
.syntaxhighlighter.collapsed .toolbar {
  padding: 0.1em 0.8em 0 !important;
  font-size: 1em !important;
  position: static !important;
  width: auto !important;
}
.syntaxhighlighter.collapsed .toolbar span {
  display: inline !important;
  margin-right: 1em !important;
}
.syntaxhighlighter.collapsed .toolbar span a {
  padding: 0 !important;
  display: none !important;
}
.syntaxhighlighter.collapsed .toolbar span a.expandSource {
  display: inline !important;
}
.syntaxhighlighter .toolbar {
  position: absolute !important;
  right: 1px !important;
  top: 1px !important;
  width: 11px !important;
  height: 11px !important;
  font-size: 10px !important;
  z-index: 10 !important;
}
.syntaxhighlighter .toolbar span.title {
  display: inline !important;
}
.syntaxhighlighter .toolbar a {
  display: block !important;
  text-align: center !important;
  text-decoration: none !important;
  padding-top: 1px !important;
}
.syntaxhighlighter .toolbar a.expandSource {
  display: none !important;
}
.syntaxhighlighter.ie {
  font-size: 0.9em !important;
  padding: 1px 0 !important;
}
.syntaxhighlighter.ie .toolbar {
  line-height: 8px !important;
}
.syntaxhighlighter.ie .toolbar a {
  padding-top: 0 !important;
}
.syntaxhighlighter.printing .line.alt1 .content,
.syntaxhighlighter.printing .line.alt2 .content,
.syntaxhighlighter.printing .line.highlighted .number,
.syntaxhighlighter.printing .line.highlighted.alt1 .content,
.syntaxhighlighter.printing .line.highlighted.alt2 .content {
  background: none !important;
}
.syntaxhighlighter.printing .line .number {
  color: #bbb !important;
}
.syntaxhighlighter.printing .line .content {
  color: #000 !important;
}
.syntaxhighlighter.printing .toolbar {
  display: none !important;
}
.syntaxhighlighter.printing a {
  text-decoration: none !important;
}
.syntaxhighlighter.printing .plain,
.syntaxhighlighter.printing .plain a {
  color: #000 !important;
}
.syntaxhighlighter.printing .comments,
.syntaxhighlighter.printing .comments a {
  color: #008200 !important;
}
.syntaxhighlighter.printing .string,
.syntaxhighlighter.printing .string a {
  color: #00f !important;
}
.syntaxhighlighter.printing .keyword {
  color: #ff7800 !important;
  font-weight: 700 !important;
}
.syntaxhighlighter.printing .preprocessor {
  color: gray !important;
}
.syntaxhighlighter.printing .variable {
  color: #a70 !important;
}
.syntaxhighlighter.printing .value {
  color: #090 !important;
}
.syntaxhighlighter.printing .functions {
  color: #ff1493 !important;
}
.syntaxhighlighter.printing .constants {
  color: #06c !important;
}
.syntaxhighlighter.printing .script {
  font-weight: 700 !important;
}
.syntaxhighlighter.printing .color1,
.syntaxhighlighter.printing .color1 a {
  color: gray !important;
}
.syntaxhighlighter.printing .color2,
.syntaxhighlighter.printing .color2 a {
  color: #ff1493 !important;
}
.syntaxhighlighter.printing .color3,
.syntaxhighlighter.printing .color3 a {
  color: red !important;
}
.syntaxhighlighter.printing .break,
.syntaxhighlighter.printing .break a {
  color: #000 !important;
}
.syntaxhighlighter {
  background-color: #f5f5f5 !important;
}
.syntaxhighlighter .line.highlighted.number {
  color: #000 !important;
}
.syntaxhighlighter caption {
  color: #000 !important;
}
.syntaxhighlighter .gutter {
  color: #afafaf !important;
  background-color: #f7f7f9 !important;
  border-right: 1px solid #e1e1e8 !important;
  padding: 9.5px 0 9.5px 9.5px !important;
  border-top-left-radius: 4px !important;
  border-bottom-left-radius: 4px !important;
  user-select: none !important;
  -moz-user-select: none !important;
  -webkit-user-select: none !important;
}
.syntaxhighlighter .gutter .line.highlighted {
  background-color: #6ce26c !important;
  color: #fff !important;
}
.syntaxhighlighter.printing .line .content {
  border: 0 !important;
}
.syntaxhighlighter.collapsed {
  overflow: visible !important;
}
.syntaxhighlighter.collapsed .toolbar {
  color: #00f !important;
  background: #fff !important;
  border: 1px solid #6ce26c !important;
}
.syntaxhighlighter.collapsed .toolbar a {
  color: #00f !important;
}
.syntaxhighlighter.collapsed .toolbar a:hover {
  color: red !important;
}
.syntaxhighlighter .toolbar {
  color: #fff !important;
  background: #6ce26c !important;
  border: 0 !important;
}
.syntaxhighlighter .toolbar a {
  color: #fff !important;
}
.syntaxhighlighter .toolbar a:hover {
  color: #000 !important;
}
.syntaxhighlighter .plain,
.syntaxhighlighter .plain a {
  color: #000 !important;
}
.syntaxhighlighter .comments,
.syntaxhighlighter .comments a {
  color: #008200 !important;
}
.syntaxhighlighter .string,
.syntaxhighlighter .string a {
  color: #00f !important;
}
.syntaxhighlighter .keyword {
  color: #ff7800 !important;
}
.syntaxhighlighter .preprocessor {
  color: gray !important;
}
.syntaxhighlighter .variable {
  color: #a70 !important;
}
.syntaxhighlighter .value {
  color: #090 !important;
}
.syntaxhighlighter .functions {
  color: #ff1493 !important;
}
.syntaxhighlighter .constants {
  color: #06c !important;
}
.syntaxhighlighter .script {
  font-weight: 700 !important;
  color: #ff7800 !important;
  background-color: none !important;
}
.syntaxhighlighter .color1,
.syntaxhighlighter .color1 a {
  color: gray !important;
}
.syntaxhighlighter .color2,
.syntaxhighlighter .color2 a {
  color: #ff1493 !important;
}
.syntaxhighlighter .color3,
.syntaxhighlighter .color3 a {
  color: red !important;
}
.syntaxhighlighter .keyword {
  font-weight: 700 !important;
}
